# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::TagNodeListImpl Class Reference

NodeList which lists all Nodes in a document with a given tag name. More...

`#include <dom_nodeimpl.h>`

Inheritance diagram for DOM::TagNodeListImpl:

[legend]
List of all members.

## Public Member Functions

| TagNodeListImpl (NodeImpl *n, NodeImpl::Id tagId, NodeImpl::Id tagIdMask)
virtual unsigned long | length () const
virtual NodeImpl * | item (unsigned long index) const

## Protected Member Functions

virtual bool | nodeMatches (NodeImpl *testNode) const

## Protected Attributes

NodeImpl * | refNode
NodeImpl::Id | m_id
NodeImpl::Id | m_idMask

## Detailed Description

NodeList which lists all Nodes in a document with a given tag name.

Definition at line 477 of file dom_nodeimpl.h.

The documentation for this class was generated from the following files:

- dom_nodeimpl.h
- dom_nodeimpl.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001